Project/my_app/config/routes.rb
Rails.application.routes.draw do
  resources :credit_cards
  resources :orders
  resources :categories
  resources :products
  resources :addresses
  resources :credit_cards
  devise_for :users , controllers: { registrations: 'user/registrations' }

  root 'home#home'

  get 'goodbye', to: 'application#goodbye'

  get 'extra', to: 'application#extra'

  get 'test', to: 'application#test'

  get 'log_out', to: 'extra#new'

  get 'accounts', to: 'users#index', as: 'users'

  get 'profile', to: 'users#show'

end

Project/my_app/app/views/layouts/_navbar.html.erb
<%= javascript_include_tag 'mdb' %>

<style>
  #logo:hover {
    color: #8c8c8c;
    transition: 0.3s;
  }
</style>

<nav class="navbar sticky-top navbar-expand-lg bg-body-tertiary navbar-dark bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand">
      <img
        src="https://i.imgur.com/b5G0PxF.png"
        class="me-2"
        height="32"
        alt="logo"
        loading="lazy"
      />
      <small><%= link_to "Home", root_path, class: "navbar-brand", id: "logo" %></small>
    </a>
    <ul class="navbar-nav me-auto mb-2 mb-lg-0">
      <% if current_user.present? %>
        <% if current_user.role == "admin" %>
          <li class="nav-item"><%= link_to "Users", users_path, class: "nav-link" %></li>
          <li class="nav-item"><%= link_to "Categories", categories_path, class: "nav-link" %></li>
        <% end %>
          <li class="nav-item"><%= link_to "Products", products_path, class: "nav-link" %></li>
          <li class="nav-item"><%= link_to "Orders", orders_path, class: "nav-link" %></li>
          <!-- <li class="nav-item"><%= link_to "Profile", profile_path, class: "nav-link" %></li>
          <li class="nav-item"><%= link_to 'Logout', destroy_user_session_path, data:{turbo_method: :delete}, class: 'nav-link' %></li>-->
      <% else %>
        <li class="nav-item"><%= link_to "Log in", new_user_session_path, class: "nav-link" %></li>
      <% end %>
    </ul>
    <% if current_user.present? %>
      <div class="d-flex align-items-center">
        <div class="dropdown">
          <a
            class="dropdown-toggle d-flex align-items-center hidden-arrow"
            id="navbarDropdownMenuAvatar"
            role="button"
            data-mdb-toggle="dropdown"
            aria-expanded="false"
          >
          <% if @user.present? && @user.image.present? %>
            <%= image_tag @user.image, class: "rounded-circle", height: "40", alt: "User Image", loading: "lazy" %>
          <% else %>
            <img
              src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-chat/ava3.webp"
              class="rounded-circle"
              height="40"
              alt="Black and White Portrait of a Man"
              loading="lazy"
            />
          <% end %>
          </a>
          <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdownMenuAvatar">
          <li>
            <%= link_to "Profile", profile_path, class: "dropdown-item" %>
          </li>
          <li>
            <%= link_to 'Logout', destroy_user_session_path, data:{turbo_method: :delete}, class: 'dropdown-item' %>
          </li>
          </ul>
        </div>
      </div>
    <% else %>
      <div class="navbar-brand ">Basketball Haven</div>
    <%end%>
  </div>
</nav>

Project/my_app/app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Basketball Haven</title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    
    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_importmap_tags %>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  </head>

  <body>
    <%= render 'layouts/navbar' %>
    <% if notice.present? %>
      <div class="alert alert-success" role="alert">
        <%= notice %>
      </div>
    <% end %>

    <% if alert.present? %>
      <div class="alert alert-danger" role="alert">
        <%= alert %>
      </div>
    <% end %>
  
    <%= yield %>


  </body>
</html>